<?php
	// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
	 
	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/order_list.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	
	$order_list = new OrderList($db);
	$data = json_decode(file_get_contents("php://input"));
	
	$order_list->city = $data->city;
	$stmt = $order_list->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){	
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail = array(
				"id" => (int)$id,
				"city" => ($city)?$city:"",
				"order_no" => ($order_no)?$order_no:"",
				"order_date" => ($order_date)?$order_date:"",
				"plan" => ($plan)?$plan:"",
				"month" =>($month)?$month:"",
				"name" => ($name)?$name:"",
				"phone" => ($phone)?$phone:"",
				"member_type" => ($member_type)?$member_type:"",
				"address" => ($address)?$address:""
			);	
			array_push($arr["records"], $detail);
		}	
	}
	echo json_encode($arr);
?>